<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--OJO: esta basura se jode si se ponen comentarios dentro de los componentes jsf -->
<!--TODO se podría hacer con el número predial lo mismo que se hizo en la búsqueda de predio (partirlo y darle formato automático) -->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                template="../templates/general.xhtml">

    <ui:define name="content">

        <p:panel header="Datos de búsqueda" toggleable="true">
            <h:form>
                <h:panelGrid columns="6" width="100%">
                    <h:outputLabel value="Departamento: " styleClass="outputLabelStyle"/>
                    <h:selectOneMenu value="#{gestionTramitesVigentes.datosConsultaTramites.departamentoId}">                    
                        <f:selectItems value="#{gestionTramitesVigentes.departamentosItemList}"/>
                        <p:ajax update="selectMunicipio" immediate="true"/>
                    </h:selectOneMenu>

                    <h:outputLabel value="Municipio: " styleClass="outputLabelStyle"/>
                    <h:selectOneMenu id="selectMunicipio" value="#{gestionTramitesVigentes.datosConsultaTramites.municipioId}">
                        <f:selectItems value="#{gestionTramitesVigentes.municipiosItemList}"/>
                    </h:selectOneMenu>

                    <h:outputLabel value="Número de solicitud: " styleClass="outputLabelStyle"/>
                    <h:inputText value="#{gestionTramitesVigentes.datosConsultaTramites.numeroSolicitud}" size="20" maxlength="20" />

                </h:panelGrid>

                <h:panelGrid columns="6" width="80%">
                    <h:outputLabel value="Tipo de trámite: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu value="#{gestionTramitesVigentes.datosConsultaTramites.tipoTramiteCodigo}" >
                        <f:selectItem itemLabel="Todos" itemValue=""/>
                        <f:selectItems value="#{gestionTramitesVigentes.tiposTramiteItemList}" />
                    </h:selectOneMenu>

                    <h:outputLabel value="Estado: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu value="#{gestionTramitesVigentes.datosConsultaTramites.estadoCodigo}">
                        <f:selectItem itemLabel="Todos" itemValue=""/>
                        <f:selectItems value="#{gestionTramitesVigentes.estadosTramiteItemList}"/>
                    </h:selectOneMenu>

                    <p:spacer width="10" height="10"/><p:spacer width="10" height="10"/>

                </h:panelGrid>

                <h:panelGrid columns="6" width="100%">
                    <h:outputLabel value="Clasificación: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu value="#{gestionTramitesVigentes.datosConsultaTramites.clasificacionCodigo}">
                        <f:selectItem itemLabel="Todos" itemValue=""/>
                        <f:selectItems value="#{gestionTramitesVigentes.clasificacionesTramiteItemList}"/>
                    </h:selectOneMenu>

                    <h:outputLabel value="Clase de mutación: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu value="#{gestionTramitesVigentes.datosConsultaTramites.claseMutacionCodigo}">
                        <f:selectItem itemLabel="Todos" itemValue=""/>
                        <f:selectItems value="#{gestionTramitesVigentes.clasesMutacionTramiteItemList}"/>
                        <p:ajax update="selectSubtipoMutacion" immediate="true"/>
                    </h:selectOneMenu>

                    <h:outputLabel value="Subclase: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="selectSubtipoMutacion" value="#{gestionTramitesVigentes.datosConsultaTramites.subtipoMutacionCodigo}">
                        <f:selectItem itemLabel="Todos" itemValue=""/>
                        <f:selectItems value="#{gestionTramitesVigentes.subtiposMutacionTramiteItemList}"/>
                    </h:selectOneMenu>


                    <h:outputLabel value="Número de radicación: " styleClass="outputLabelStyle"/>
                    <h:inputText value="#{gestionTramitesVigentes.datosConsultaTramites.numeroRadicacion}" size="30" maxlength="15"/>

                    <h:outputLabel value="Fecha radicación inicial: " styleClass="outputLabelStyle"/>
                    <p:calendar value="#{gestionTramitesVigentes.datosConsultaTramites.numeroRadicacion}" id="radFechaInit"
                                title="#{general.formatoFechaUsuario}" pattern="#{general.formatoFechaHora}" 
                                navigator="true" maxlength="10" size="10"/>

                    <h:outputLabel value="Fecha radicación final: " styleClass="outputLabelStyle"/>
                    <p:calendar value="#{gestionTramitesVigentes.datosConsultaTramites.numeroRadicacion}" id="radFechaFin"
                                title="#{general.formatoFechaUsuario}" pattern="#{general.formatoFechaHora}" 
                                navigator="true" maxlength="10" size="10"/>


                    <h:outputLabel value="Funcionario radicador: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu value="#{gestionTramitesVigentes.datosConsultaTramites.funcionarioRadicadorId}" disabled="true">
                        <f:selectItem itemLabel="Todos" itemValue=""/>
                        <f:selectItems value="#{gestionTramitesVigentes.funcionariosRadicadoresItemList}"/>
                    </h:selectOneMenu>

                    <h:outputLabel value="Funcionario ejecutor: " styleClass="outputLabelStyle"/>
                    <h:selectOneMenu value="#{gestionTramitesVigentes.datosConsultaTramites.funcionarioEjecutorId}" disabled="true">
                        <f:selectItem itemLabel="Todos" itemValue=""/>
                        <f:selectItems value="#{gestionTramitesVigentes.funcionariosEjecutoresItemList}"/>
                    </h:selectOneMenu>

                    <p:spacer width="10" height="10"/><p:spacer width="10" height="10"/>


                    <h:outputLabel value="Número predial: " styleClass="outputLabelStyle"/>
                    <h:inputText value="#{gestionTramitesVigentes.datosConsultaTramites.numeroPredial}" size="20" maxlength="30"/>

                    <h:outputLabel value="Consecutivo catastral: " styleClass="outputLabelStyle"/>
                    <h:inputText  value="#{gestionTramitesVigentes.datosConsultaTramites.consecutivoCatastral}" size="30" maxlength="20"/>

                    <h:outputLabel value="NIP: " styleClass="outputLabelStyle"/>
                    <h:inputText value="#{gestionTramitesVigentes.datosConsultaTramites.nipNumero}" size="20" maxlength="20"/>
                </h:panelGrid>


                <p>
                    <h:commandButton value="Buscar" />
                </p>

            </h:form>

        </p:panel>

        <p:panel header="Resultados de la búsqueda" toggleable="true" rendered="#{gestionTramitesVigentes.renderResultPanel}">
            <h:form>
                <p:dataTable value="#{gestionTramitesVigentes.tramitesSearchResultList}" var="tramite">
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Número de solicitud" />
                        </f:facet>
                        <h:outputText value="#{tramite.solicitud.numero}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Número de radicación" />
                        </f:facet>
                        <h:outputText value="#{tramite.tipoTramite.numeroRadicacion}"/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Número predial" />
                        </f:facet>
                        <h:outputText value=""/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Consecutivo catastral" />
                        </f:facet>
                        <h:outputText value=""/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Municipio" />
                        </f:facet>
                        <h:outputText value=""/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Fecha de radicación" />
                        </f:facet>
                        <h:outputText value="#{tramite.fechaRadicacion}"/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Clasificación" />
                        </f:facet>
                        <h:outputText value=""/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Tipo de trámite" />
                        </f:facet>
                        <h:outputText value=""/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Estado" />
                        </f:facet>
                        <h:outputText value=""/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Asignado a" />
                        </f:facet>
                        <h:outputText value=""/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputLabel value="Devolución" />
                        </f:facet>
                        <h:outputText value=""/>
                    </p:column>
                </p:dataTable>
            </h:form>

        </p:panel>

    </ui:define>

</ui:composition>